<?php

namespace Modules\Payment\Repositories\Interfaces;

interface OrderRepositoryInterface
{
    public function all(): \Illuminate\Database\Eloquent\Collection;
    public function find(int $id): ?\Modules\Payment\Models\Order;
    public function findByOrderNumber(string $orderNumber): ?\Modules\Payment\Models\Order;
    public function create(array $data): \Modules\Payment\Models\Order;
    public function updateStatus(int $id, string $status): \Modules\Payment\Models\Order;
    public function updatePaymentStatus(int $id, string $status): \Modules\Payment\Models\Order;
}
